=== BuildScripts/CMakeLists.txt ===
### This is just the absolute minimum script necessary
### to define a separate project that contains all the
### goodie scripts needed to support the biulding
### the ANTS tools

project(ANTSBuildScripts)
cmake_minimum_required(VERSION 2.8.5)

#install( FILES License.txt DESTINATION ${CMAKE_INSTALL_PREFIX} )
