=== debian/changelog ===
ants (2.0.0-1~nd70+1) wheezy; urgency=low

  * Backported for wheezy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 28 Feb 2014 12:03:58 -0500

ants (2.0.0-1) unstable; urgency=low

  [Gert Wollny]
  * Move to debhelper 9
  * Add the test data to the debian subdir
  * add soversion and version to the shared libraries 
  
  [Yaroslav Halchenko]
  * Fresh upstream release
  * debian/control
    - build-depends: switch to ITK4, add libboost-dev, remove libgdcm2-dev
      (Closes: #731923), add libtiff-dev, libdcmtk2-dev
    - boost policy compliance to 3.9.5
  * debian/copyright
    - update for Dep5
  * debian/patches
    - drop patch in favor of in-installation sed-adjustment of default
      ANTSPATHs
    - up_use_bash -- use bash not just sh in scripts (Closes: #690622)
  * debian/rules
    - add sinking http{,s}_proxy to avoid online acquisition
    - adjust cmake options to run short tests, build shared libs, use system
      ITK
    - various tune ups (rpath, do not run tests on slow boxes, etc)
  * debian/{rules,control}
    - install a versioned Modulesfile for ants, and recommend
      environment-modules

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 11 Dec 2013 13:02:20 -0500
