=== ExternalApplications/CMakeLists.txt ===
#This helps organize the external applicaitons

add_subdirectory(MALF)
