## ants 2.1.0~rc2+git3-g9103999

=== debian/changelog ===
ants (2.1.0~rc2+git3-g9103999-4) unstable; urgency=medium

  * patches/up_lower_cc_3_test_i386_precision
    - lower precision for the ANTS_CC_3_WARP_METRIC_0 test to mitigate
      FTBFS on i386 (Closes: #768645)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 21 Nov 2014 15:35:44 -0500

ants (2.1.0~rc2+git3-g9103999-3) unstable; urgency=medium

  * Added Conflicts for gpe-conf also providing bl.1.gz manpage
    (gpe-conf is for embedded systems, so unlikely to be co-installed with
    ants in production) (Closes: #768222)
  * patches/up_Rscript
    - prepend Rscript call with /usr/bin/env

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 05 Nov 2014 21:27:30 -0500

ants (2.1.0~rc2+git3-g9103999-2) unstable; urgency=medium

  * Robustify bogomips comparison, fix tests execution

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 18 Aug 2014 16:41:04 -0400

ants (2.1.0~rc2+git3-g9103999-1) unstable; urgency=medium

  * Newer upstream pre-release
    - should be compatible with ITK v4.6.0 and VTK 6.1 (Closes: #757595)
    - explicitly include libhdf5-dev into build-depends to mitigate
      problem with insufficient depends of ITK -dev (see #757594)
  * debian/patches
    - removed debian/patches/up_use_bash (upstreamed)
    - Add-soname-and-local-data.patch -> deb_local-data.patch
      (SONAME and SOVERSIONing is done now by upstream)
  * debian/{control,rules}
    - build without VTK support for now
    - added libpng12-dev to build-depends
  * debian/rules
    - fixed up installation of versioned ants modulefile

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Aug 2014 12:12:07 -0400

ants (2.0.0-2) unstable; urgency=medium

  * debian/control
    - added libfftw3-dev to build-depends explicitly (Closes: #747954)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 13 May 2014 09:02:43 -0400
