=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: ants
 Section: science
 Priority: extra
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 9),
                help2man, cmake,
-               libopenjpeg-dev, libinsighttoolkit4-dev, libvtk5-dev, uuid-dev,
+               libopenjpeg-dev, libinsighttoolkit4-dev, uuid-dev,
                tcl-vtk | libvtk5-dev (<< 5.8),
                python-vtk | libvtk5-dev (<< 5.8),
                libvtk-java | libvtk5-dev (<< 5.8),
@@ -14,6 +13,9 @@
                libboost-dev,
                libtiff-dev,
                libdcmtk2-dev,
+               libfftw3-dev,
+               libhdf5-dev,
+               libpng12-dev,
 Standards-Version: 3.9.5
 Homepage: http://www.picsl.upenn.edu/ANTS/
 Vcs-Git: git://git.debian.org/pkg-exppsy/ants.git
@@ -21,9 +23,10 @@
 
 Package: ants
 Architecture: any
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: gpe-conf
 Recommends: environment-modules
-Suggests: fsl, gridengine-client, r-base-core 
+Suggests: fsl, gridengine-client, r-base-core
 Description: advanced normalization tools for brain and image analysis
  Advanced Normalization Tools (ANTS) is an ITK-based suite of
  normalization, segmentation and template-building tools for
@@ -35,3 +38,6 @@
  optimal implementations of diffeomorphisms. The symmetric
  normalization (SyN) strategy is a part of the ANTS toolkit as is
  directly manipulated free form deformation (DMFFD).
+ .
+ This package provides environment-modules configuration.
+ Use 'module load ants' to make all cmdline tools available in your shell.
