=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,8 @@
 
 # Exclude all heavy tests while building on slowish build
 # bots/platforms
-CTEST_EXCLUDE = $(shell [ `grep -i bogomips /proc/cpuinfo | head -n 1 | sed -e 's,.*:\s*\([0-9]*\)\(\..*\)*$,\1,g'` -gt 2000 ] || echo "-E '^ANTS(_|PSE)'")
+BOGOMIPS = $(shell awk '/^bogomips/{print $$3;}' /proc/cpuinfo | sed -ne '1s,\..*,,gp' )
+CTEST_EXCLUDE = $(shell [ "$(BOGOMIPS)" -gt 2000 ] || echo "-E '^ANTS(_|PSE)'")
 
 # Default mega-rule
 %:
@@ -37,7 +38,7 @@
 		-DCOPY_SCRIPT_FILES_TO_BIN_DIR:BOOL=OFF \
 		-DCMAKE_SKIP_RPATH:BOOL=OFF \
 		-DUSE_SYSTEM_ITK:BOOL=ON \
-		-DUSE_VTK:BOOL=ON \
+		-DUSE_VTK:BOOL=OFF \
 		-DBUILD_SHARED_LIBS:BOOL=ON \
 		-DRUN_SHORT_TESTS:BOOL=ON \
 		-DRUN_LONG_TESTS:BOOL=OFF \
@@ -59,9 +60,9 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd obj-*
-	ln -s debian/testdata ExternalData
-	ctest --force-new-ctest-process $(CTEST_EXCLUDE)
+	cd obj-*; \
+	 ln -s ../debian/testdata ExternalData || : ; \
+	 ctest --force-new-ctest-process $(CTEST_EXCLUDE)
 else
 	: # Skip unittests due to nocheck
 endif
@@ -79,7 +80,7 @@
 	: Install shell scripts
 	install -t debian/ants/usr/lib/ants Scripts/*
 	: Install modules file
-	install -m 664 -t debian/ants/usr/share/modules/modulefiles/ants $(modulesfile)
+	install -m 664 $(modulesfile) debian/ants/usr/share/modules/modulefiles/ants/$(uver)
 	: Adjust ANTSPATH
 	cd debian/ants/usr/lib/ants && sed -ie 's,\([^"=]*\(/bin/ants\|ANTS/release/bin\)\),/usr/lib/ants,g' *.sh *.pl && rm *.she *.ple
 	: Install manpages
